import request from '@/utils/request'

// 查询学期设置列表
export function listSemester(query) {
  return request({
    url: '/laboratory/semester/list',
    method: 'get',
    params: query
  })
}

// 查询学期设置详细
export function getSemester(id) {
  return request({
    url: '/laboratory/semester/' + id,
    method: 'get'
  })
}

// 新增学期设置
export function addSemester(data) {
  return request({
    url: '/laboratory/semester',
    method: 'post',
    data: data
  })
}

// 修改学期设置
export function updateSemester(data) {
  return request({
    url: '/laboratory/semester',
    method: 'put',
    data: data
  })
}

// 删除学期设置
export function delSemester(id) {
  return request({
    url: '/laboratory/semester/' + id,
    method: 'delete'
  })
}


// 查询学期列表
export function getSemesterList(query) {
  return request({
    url: '/laboratory/semester/getSemesterList',
    method: 'get',
    params: query
  })
}
